IF OBJECT_ID('[ScriptTypes_Usage]') IS NOT NULL DROP VIEW [ScriptTypes_Usage]
GO

CREATE VIEW [ScriptTypes_Usage] AS

	SELECT S.[ScriptType_Code],
	       [Usage_Count] = COUNT(S.[Script_Id])
	  FROM [Scripts] S
	 WHERE S.[Active_Indicator] = 'Y'
	 GROUP BY S.[ScriptType_Code]

GO
