EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'LegacyExecutions_GetVariableValues',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'BuildExecution_ActionGroupActionVariableValues',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets execution time variable values.'
GO

IF OBJECT_ID('[LegacyExecutions_GetVariableValues]') IS NOT NULL DROP PROCEDURE [LegacyExecutions_GetVariableValues]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [LegacyExecutions_GetVariableValues]
(
	@BuildExecution_ActionGroupAction_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [BuildExecution_ActionGroupActionVariableValues]
	 WHERE [BuildExecution_ActionGroupAction_Id] = @BuildExecution_ActionGroupAction_Id
	 ORDER BY [Variable_Name]

END
GO

GRANT EXECUTE ON [LegacyExecutions_GetVariableValues] TO [BuildMasterUser_Role]
