EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'PackageSources_GetPackageSources',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'PackageSources',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all package sources in the system.'
GO

IF OBJECT_ID('[PackageSources_GetPackageSources]') IS NOT NULL DROP PROCEDURE [PackageSources_GetPackageSources]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [PackageSources_GetPackageSources]
AS
BEGIN

	SET NOCOUNT ON
	
	SELECT * 
      FROM [PackageSources]
	ORDER BY [PackageSource_Name]

END
GO

GRANT EXECUTE ON [PackageSources_GetPackageSources] TO [BuildMasterUser_Role]
