EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Packages_GetPackage',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'Packages_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified package.'
GO

IF OBJECT_ID('[Packages_GetPackage]') IS NOT NULL DROP PROCEDURE [Packages_GetPackage]
GO


SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Packages_GetPackage]
(
    @Package_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT * 
	  FROM [Packages_Extended]
	 WHERE [Package_Id] = @Package_Id


END
GO

GRANT EXECUTE ON [Packages_GetPackage] TO [BuildMasterUser_Role]
