EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'RetentionPolicies_GetRetentionPolicies',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'RetentionPolicies_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all of the retention policies.'
GO


IF OBJECT_ID('[RetentionPolicies_GetRetentionPolicies]') IS NOT NULL DROP PROCEDURE [RetentionPolicies_GetRetentionPolicies]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [RetentionPolicies_GetRetentionPolicies]
(
    @Include_Inactive YNINDICATOR
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [RetentionPolicies_Extended]
     WHERE @Include_Inactive = 'Y' OR [Active_Indicator] = 'Y'

END
GO

GRANT EXECUTE ON [RetentionPolicies_GetRetentionPolicies] TO [BuildMasterUser_Role]