--AH:ScriptId=374607ac-ba80-47f3-bf17-87cd2253b0fe;392
-- Update the default source control provider ID after the 
-- SourceControl_Provider_Id column has already been deleted in 
-- testing & production, therefore it is expected to fail in both environments

      UPDATE [PlanActions]
         SET [Action_Configuration] 
             = REPLACE([Action_Configuration], 
                       'ProviderId="0"', 
                        'ProviderId="' + CAST([SourceControl_Provider_Id] AS VARCHAR(3)) + '"')
        FROM [PlanActions] PA
  INNER JOIN [Plans] P
          ON P.[Plan_Id] = PA.[Plan_Id]
  INNER JOIN [PlanActionGroups] PAG
          ON PAG.[ActionGroup_Id] = P.[Plan_Id]
  INNER JOIN [Deployables] D
          ON D.[Deployable_Id] = PAG.[Deployable_Id]
       WHERE [Action_Configuration] LIKE '%Inedo.BuildMaster.Extensibility.Actions.SourceControl%'
         AND [Action_Configuration] LIKE '%ProviderId="0"%'