EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'ContainerSources_DeleteContainerSource',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes the specified container source.'
GO

IF OBJECT_ID('[ContainerSources_DeleteContainerSource]') IS NOT NULL DROP PROCEDURE [ContainerSources_DeleteContainerSource]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ContainerSources_DeleteContainerSource]
(
    @ContainerSource_Id INT
)
AS
BEGIN
	SET NOCOUNT ON

	DELETE [ContainerSources]
	 WHERE [ContainerSource_Id] = @ContainerSource_Id

END
GO

GRANT EXECUTE ON [ContainerSources_DeleteContainerSource] TO [BuildMasterUser_Role]
