EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'ContainerSources_GetContainerSources',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ContainerSources',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all container sources in the system.'
GO

IF OBJECT_ID('[ContainerSources_GetContainerSources]') IS NOT NULL DROP PROCEDURE [ContainerSources_GetContainerSources]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ContainerSources_GetContainerSources]
AS
BEGIN

	SET NOCOUNT ON

	SELECT * 
      FROM [ContainerSources]
     ORDER BY [ContainerSource_Name]

END
GO

GRANT EXECUTE ON [ContainerSources_GetContainerSources] TO [BuildMasterUser_Role]
