EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'ReleaseTemplates_GetTemplates',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ReleaseTemplates',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the release templates for the specified application.'
GO

IF OBJECT_ID('[ReleaseTemplates_GetTemplates]') IS NOT NULL DROP PROCEDURE [ReleaseTemplates_GetTemplates]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ReleaseTemplates_GetTemplates]
(
	@Application_Id INT
) 
AS
BEGIN

    SELECT * 
      FROM [ReleaseTemplates]
     WHERE [Application_Id] = @Application_Id
     ORDER BY [ReleaseTemplate_Name]


END
GO

GRANT EXECUTE ON [ReleaseTemplates_GetTemplates] TO [BuildMasterUser_Role]

