EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'ScriptAssets_GetScripts',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ScriptAssets',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the scripts which are visible to the specified application.'
GO

IF OBJECT_ID('[ScriptAssets_GetScripts]') IS NOT NULL DROP PROCEDURE [ScriptAssets_GetScripts]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ScriptAssets_GetScripts]
(
	@Application_Id INT = NULL
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [ScriptAssets]
	 WHERE [Application_Id] IS NULL OR [Application_Id] = @Application_Id

END
GO

GRANT EXECUTE ON [ScriptAssets_GetScripts] TO [BuildMasterUser_Role]